Index: /branches/version-2_5-dev/data/class/SC_Response.php
===================================================================
--- /branches/version-2_5-dev/data/class/SC_Response.php	(revision 19832)
+++ /branches/version-2_5-dev/data/class/SC_Response.php	(revision 19834)
@@ -132,5 +132,5 @@
 
     /**
-     * @param string $location 「アプリケーションルートからの相対パス」「現在のURLからの相対パス」「URL」のいずれか
+     * @param string $location 「url-path」「現在のURLからのパス」「URL」のいずれか
      * @return void
      * @static
@@ -138,13 +138,13 @@
     function sendRedirect($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null) {
 
-        // アプリケーションルートからの相対パス
+        // url-path → URL 変換
         if ($location[0] === '/') {
-            if (!is_bool($useSsl)) {
-                $useSsl = SC_Utils_Ex::sfIsHTTPS();
-            }
-            $url = ($useSsl ? HTTPS_URL : HTTP_URL) . substr($location, 1);
-        }
+            $netUrl = new Net_URL();
+            $netUrl->path = $location;
+            $location = $netUrl->getUrl();
+        }
+
         // URL の場合
-        elseif (preg_match('/^https?:/', $location)) {
+        if (preg_match('/^https?:/', $location)) {
             $url = $location;
             if (is_bool($useSsl)) {
@@ -161,5 +161,5 @@
             }
         }
-        // 現在のURLからの相対パス
+        // 現在のURLからのパス
         else {
             if (!is_bool($useSsl)) {
@@ -171,21 +171,23 @@
         }
 
-        $netUrl = new Net_URL($url);
-        $arrQueryString = array_merge($netUrl->querystring, $arrQueryString);
-
-        if ($inheritQueryString) {
-            if (!empty($_SERVER['QUERY_STRING'])) {
-                $netUrl->addRawQueryString($_SERVER['QUERY_STRING']);
-            }
-        }
-
-        foreach ($arrQueryString as $key => $val) {
-            $netUrl->addQueryString($key, $val);
-        }
-
-        $url = $netUrl->getURL();
-
+        // アプリケーション内での遷移時の処理
         $pattern = '/^(' . preg_quote(HTTP_URL, '/') . '|' . preg_quote(HTTPS_URL, '/') . ')/';
         if (preg_match($pattern, $url)) {
+            $netUrl = new Net_URL($url);
+            $arrQueryString = array_merge($netUrl->querystring, $arrQueryString);
+            $netUrl->querystring = array();
+
+            if ($inheritQueryString) {
+                if (!empty($_SERVER['QUERY_STRING'])) {
+                    $netUrl->addRawQueryString($_SERVER['QUERY_STRING']);
+                }
+            }
+
+            foreach ($arrQueryString as $key => $val) {
+                $netUrl->addQueryString($key, $val);
+            }
+
+            $url = $netUrl->getURL();
+
             $session = SC_SessionFactory::getInstance();
             if (SC_MobileUserAgent::isMobile() || $session->useCookie() == false) {
@@ -202,4 +204,16 @@
 
     /**
+     * HTML_PATH からのパスを指定してリダイレクトする
+     *
+     * @param string $location /html/ からの相対パス
+     * @return void
+     * @static
+     */
+    function sendRedirectFromUrlPath($location, $arrQueryString = array(), $inheritQueryString = false, $useSsl = null) {
+        $location = URL_PATH . $location;
+        SC_Response_Ex::sendRedirect($location, $arrQueryString, $inheritQueryString, $useSsl);
+    }
+
+    /**
      * @static
      */
@@ -213,5 +227,5 @@
         $netUrl->querystring = array();
 
-        $this->sendRedirect($netUrl->getURL(), $arrQueryString);
+        SC_Response_Ex::sendRedirect($netUrl->getURL(), $arrQueryString);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 19832)
+++ /branches/version-2_5-dev/data/class/pages/frontparts/LC_Page_FrontParts_LoginCheck.php	(revision 19834)
@@ -106,5 +106,5 @@
             if(count($arrErr) == 0) {
                 if($objCustomer->getCustomerDataFromEmailPass($arrForm['login_pass'], $arrForm['login_email'], true)) {
-                    $this->objDisplay->redirect('/', array(), false, true);
+                    SC_Response_Ex::sendRedirectFromUrlPath('', array(), false, false);
                     exit;
                 } else {
@@ -132,7 +132,7 @@
             //マイページログイン中はログイン画面へ移行
             if ($mypage_url_search == 2){
-                $this->objDisplay->redirect('/mypage/login.php');
+                SC_Response_Ex::sendRedirectFromUrlPath('mypage/login.php');
             }else{
-                $this->objDisplay->redirect('/', array(), false, true);
+                SC_Response_Ex::sendRedirectFromUrlPath('', array(), false, false);
             }
             exit;
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Logout.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 19832)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 19834)
@@ -55,5 +55,5 @@
         $objSess->logout();
 
-        $this->objDisplay->redirect('/' . ADMIN_DIR . DIR_INDEX_URL);
+        SC_Response_Ex::sendRedirectFromUrlPath('/' . ADMIN_DIR . DIR_INDEX_URL);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 19832)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 19834)
@@ -178,5 +178,5 @@
         }
         if ($_GET['mode'] == 'now') {
-            $this->objDisplay->redirect('/' . ADMIN_DIR . 'mail/history.php');
+            SC_Response_Ex::sendRedirectFromUrlPath(ADMIN_DIR . 'mail/history.php');
         }
         echo "complete\n";
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 19833)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 19834)
@@ -364,7 +364,7 @@
                     if (MELMAGA_SEND) {
                         if (MELMAGA_BATCH_MODE) {
-                            $this->objDisplay->redirect('/' . ADMIN_DIR . 'mail/history.php');
+                            SC_Response_Ex::sendRedirectFromUrlPath(ADMIN_DIR . 'mail/history.php');
                         } else {
-                            $this->objDisplay->redirect('/' . ADMIN_DIR . 'mail/sendmail.php', array('mode' => 'now', 'send_id' => $sendId));
+                            SC_Response_Ex::sendRedirectFromUrlPath(ADMIN_DIR . 'mail/sendmail.php', array('mode' => 'now', 'send_id' => $sendId));
                         }
                         exit;
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 19832)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design_MainEdit.php	(revision 19834)
@@ -215,5 +215,5 @@
         }
         $_SESSION['preview'] = "ON";
-        SC_Response_Ex::sendRedirect('/preview/' . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"]));
+        SC_Response_Ex::sendRedirectFromUrlPath('preview/' . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"]));
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 19832)
+++ /branches/version-2_5-dev/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 19834)
@@ -214,5 +214,5 @@
                 $_SESSION['preview'] = "ON";
 
-                SC_Response_Ex::sendRedirect('/preview/' . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"]));
+                SC_Response_Ex::sendRedirectFromUrlPath('preview/' . DIR_INDEX_URL, array("filename" => $arrPageData[0]["filename"]));
                 exit;
 