Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/refusal.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/refusal.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/refusal.tpl	(revision 19835)
@@ -27,5 +27,5 @@
 <br>
 <div align="center">
-<form action="<!--{$smarty.server.PHP_SELF|h}-->" method="post">
+<form action="?" method="post">
 	<input type="submit" name="no" value="いいえ">
 	<input type="submit" name="complete" value="はい">
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/change_confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/change_confirm.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/change_confirm.tpl	(revision 19835)
@@ -24,5 +24,5 @@
 <div align="center">変更確認</div>
 <hr>
-<form name="form1" id="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form name="form1" id="form1" method="post" action="?">
 	<input type="hidden" name="mode" value="complete">
 	<!--{foreach from=$list_data key=key item=item}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/change.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/change.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/change.tpl	(revision 19835)
@@ -24,5 +24,5 @@
 <div align="center">登録内容変更 1/3</div>
 <hr>
-<form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form name="form1" method="post" action="?">
 	<input type="hidden" name="mode" value="set1">
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set1.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set1.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set1.tpl	(revision 19835)
@@ -24,5 +24,5 @@
 <div align="center">登録内容変更 2/3</div>
 <hr>
-<form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form name="form1" method="post" action="?">
 	<input type="hidden" name="mode" value="set2">
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set2.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set2.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/mypage/set2.tpl	(revision 19835)
@@ -24,5 +24,5 @@
 <div align="center">登録内容変更 3/3</div>
 <hr>
-<form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form name="form1" method="post" action="?">
 	<input type="hidden" name="mode" value="confirm">
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/set1.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/set1.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/set1.tpl	(revision 19835)
@@ -24,5 +24,5 @@
 <div align="center">お届け先登録</div>
 <hr>
-<form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form name="form1" method="post" action="?">
 	<input type="hidden" name="mode" value="set2">
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/confirm.tpl	(revision 19835)
@@ -26,5 +26,5 @@
 <hr>
 
-<form method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form method="post" action="?">
 <input type="hidden" name="mode" value="confirm">
 <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv_addr.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv_addr.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv_addr.tpl	(revision 19835)
@@ -24,5 +24,5 @@
 <div align="center">お届け先登録</div>
 <hr>
-<form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form name="form1" method="post" action="?">
 	<input type="hidden" name="mode" value="set1">
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/payment.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/payment.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/payment.tpl	(revision 19835)
@@ -26,5 +26,5 @@
 <hr>
 
-<form method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form method="post" action="?">
 <input type="hidden" name="mode" value="deliv_date">
 <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/set2.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/set2.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/set2.tpl	(revision 19835)
@@ -24,5 +24,5 @@
 <div align="center">お届け先登録確認</div>
 <hr>
-<form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form name="form1" method="post" action="?">
 	<input type="hidden" name="mode" value="complete">
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv_date.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv_date.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv_date.tpl	(revision 19835)
@@ -26,5 +26,5 @@
 <hr>
 
-<form method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form method="post" action="?">
 <input type="hidden" name="mode" value="confirm">
 <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/shopping/deliv.tpl	(revision 19835)
@@ -32,5 +32,5 @@
 <!--▼CONTENTS-->
 <!--{section name=cnt loop=$arrAddr}-->
-<form method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form method="post" action="?">
 <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
 <input type="hidden" name="deli" value="<!--{$smarty.section.cnt.iteration}-->">
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/cart/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/cart/index.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/cart/index.tpl	(revision 19835)
@@ -29,5 +29,5 @@
 <!--{/if}-->
 <!--{if count($arrProductsClass) > 0}-->
-<form name="form1" id="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->"  utn>
+<form name="form1" id="form1" method="post" action="?"  utn>
 	<input type="hidden" name="mode" value="confirm">
 	<input type="hidden" name="cart_no" value="">
@@ -49,7 +49,7 @@
 		<!--{* 数量 *}-->
 		数量:<!--{$arrProductsClass[cnt].quantity}-->
-		<a href="<!--{$smarty.server.PHP_SELF|h}-->?mode=up&amp;cart_no=<!--{$arrProductsClass[cnt].cart_no}-->">+</a>
-		<a href="<!--{$smarty.server.PHP_SELF|h}-->?mode=down&amp;cart_no=<!--{$arrProductsClass[cnt].cart_no}-->">-</a>
-		<a href="<!--{$smarty.server.PHP_SELF|h}-->?mode=delete&amp;cart_no=<!--{$arrProductsClass[cnt].cart_no}-->">削除</a><br>
+		<a href="?mode=up&amp;cart_no=<!--{$arrProductsClass[cnt].cart_no}-->">+</a>
+		<a href="?mode=down&amp;cart_no=<!--{$arrProductsClass[cnt].cart_no}-->">-</a>
+		<a href="?mode=delete&amp;cart_no=<!--{$arrProductsClass[cnt].cart_no}-->">削除</a><br>
 		<!--{* 合計 *}-->
 		小計:<!--{$arrProductsClass[cnt].total_inctax|number_format}-->円<br>
@@ -66,5 +66,5 @@
 	<center><input type="submit" value="注文する"></center>
 </form>
-<form method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form method="post" action="?">
 	<input type="hidden" name="mode" value="continue">
 	<center><input type="submit" value="お買物を続ける"></center>
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/forgot/secret.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/forgot/secret.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/forgot/secret.tpl	(revision 19835)
@@ -33,5 +33,5 @@
 ※下記質問の答えをお忘れになられた場合は、<a href="mailto:<!--{$arrSiteInfo.email02|h}-->"><!--{$arrSiteInfo.email02|h}--></a>までご連絡ください。<br>
 
-<form action="<!--{$smarty.server.PHP_SELF|h}-->" method="post">
+<form action="?" method="post">
 <input type="hidden" name="mode" value="secret_check">
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/forgot/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/forgot/index.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/forgot/index.tpl	(revision 19835)
@@ -43,5 +43,5 @@
 <!--{/if}-->
 
-<form action="<!--{$smarty.server.PHP_SELF|h}-->" method="post">
+<form action="?" method="post">
 <input type="hidden" name="mode" value="mail_check">
 
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/confirm.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/confirm.tpl	(revision 19835)
@@ -24,5 +24,5 @@
 <div align="center">登録確認</div>
 <hr>
-<form name="form1" id="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->" utn>
+<form name="form1" id="form1" method="post" action="?" utn>
 	<input type="hidden" name="mode" value="complete">
     <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/index.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/entry/index.tpl	(revision 19835)
@@ -24,5 +24,5 @@
 <div align="center">会員情報入力 </div>
 <hr>
-<form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+<form name="form1" method="post" action="?">
     <input type="hidden" name="mode" value="confirm" />
     <input type="hidden" name="<!--{$smarty.const.TRANSACTION_ID_NAME}-->" value="<!--{$transactionid}-->" />
Index: /branches/version-2_5-dev/data/Smarty/templates/mobile/products/detail.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/mobile/products/detail.tpl	(revision 19835)
@@ -41,5 +41,5 @@
 [1]
   <!--{else}-->
-[<a href="<!--{$smarty.server.PHP_SELF|h}-->?product_id=<!--{$smarty.get.product_id}-->&image=main_image">1</a>]
+[<a href="?product_id=<!--{$smarty.get.product_id}-->&image=main_image">1</a>]
   <!--{/if}-->
   
@@ -51,5 +51,5 @@
 [<!--{$num}-->]
     <!--{else}-->
-[<a href="<!--{$smarty.server.PHP_SELF|h}-->?product_id=<!--{$smarty.get.product_id}-->&image=<!--{$key}-->"><!--{$num}--></a>]
+[<a href="?product_id=<!--{$smarty.get.product_id}-->&image=<!--{$key}-->"><!--{$num}--></a>]
     <!--{/if}-->
     <!--{assign var=num value="`$num+1`"}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/order/status.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/order/status.tpl	(revision 19785)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/order/status.tpl	(revision 19835)
@@ -80,5 +80,5 @@
       <td><input type="checkbox" name="move[]" value="<!--{$arrStatus[cnt].order_id}-->" ></td>
       <td><!--{$arrORDERSTATUS[$status]}--></td>
-      <td><a href ="<!--{$smarty.server.PHP_SELF|h}-->" onclick="fnOpenWindow('./edit.php?order_id=<!--{$arrStatus[cnt].order_id}-->','order_disp','800','900'); return false;" ><!--{$arrStatus[cnt].order_id}--></td>
+      <td><a href="#" onclick="fnOpenWindow('./edit.php?order_id=<!--{$arrStatus[cnt].order_id}-->','order_disp','800','900'); return false;" ><!--{$arrStatus[cnt].order_id}--></td>
       <td><!--{$arrStatus[cnt].create_date|sfDispDBDate:false}--></td>
       <td><!--{$arrStatus[cnt].order_name01|h}--><!--{$arrStatus[cnt].order_name02|h}--></td>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/mail/template.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/mail/template.tpl	(revision 19785)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/mail/template.tpl	(revision 19835)
@@ -24,28 +24,28 @@
 <form name="form1" id="form1" method="post" action="?">
 <div id="mail" class="contents-main">
-  <table class="list center">
-    <tr>
-      <th>作成日</th>
-      <th>subject</th>
-      <th>メール形式</th>
-      <th>編集</th>
-      <th>削除</th>
-      <th>プレビュー</th>
-    </tr>
-    <!--{section name=data loop=$list_data}-->
-    <tr>
-      <td><!--{$list_data[data].disp_date|date_format:'%Y/%m/%d'|h}--></td>
-      <td class="left"><!--{$list_data[data].subject|h}--></td>
-      <!--{assign var=type value=$list_data[data].mail_method|h}-->
-      <td><!--{$arrMagazineType[$type]}--></td>
-      <td><!--{if $list_data[data].mail_method eq 3}--><a href="./htmlmail.php?mode=edit&template_id=<!--{$list_data[data].template_id}-->"><!--{else}--><a href="./template_input.php?mode=edit&template_id=<!--{$list_data[data].template_id}-->"><!--{/if}-->編集</a></td>
-      <td><a href="" onclick="fnDelete('<!--{$smarty.server.PHP_SELF|h}-->?mode=delete&id=<!--{$list_data[data].template_id}-->'); return false;">削除</a></td>
-      <td><!--{if $list_data[data].mail_method eq 3}--><a href="" onclick="win03('./preview.php?method=template&id=<!--{$list_data[data].template_id}-->','preview','650','700'); return false;" target="_blank"><!--{else}--><a href="" onclick="win03('./preview.php?id=<!--{$list_data[data].template_id}-->','preview','650','700'); return false;" target="_blank"><!--{/if}-->プレビュー</a></td>
-    </tr>
-    <!--{/section}-->
-  </table>
+    <table class="list center">
+        <tr>
+            <th>作成日</th>
+            <th>subject</th>
+            <th>メール形式</th>
+            <th>編集</th>
+            <th>削除</th>
+            <th>プレビュー</th>
+        </tr>
+        <!--{section name=data loop=$list_data}-->
+        <tr>
+            <td><!--{$list_data[data].disp_date|date_format:'%Y/%m/%d'|h}--></td>
+            <td class="left"><!--{$list_data[data].subject|h}--></td>
+            <!--{assign var=type value=$list_data[data].mail_method|h}-->
+            <td><!--{$arrMagazineType[$type]}--></td>
+            <td><!--{if $list_data[data].mail_method eq 3}--><a href="./htmlmail.php?mode=edit&template_id=<!--{$list_data[data].template_id}-->"><!--{else}--><a href="./template_input.php?mode=edit&template_id=<!--{$list_data[data].template_id}-->"><!--{/if}-->編集</a></td>
+            <td><a href="#" onclick="fnDelete('?mode=delete&id=<!--{$list_data[data].template_id}-->'); return false;">削除</a></td>
+            <td><!--{if $list_data[data].mail_method eq 3}--><a href="#" onclick="win03('./preview.php?method=template&id=<!--{$list_data[data].template_id}-->','preview','650','700'); return false;" target="_blank"><!--{else}--><a href="#" onclick="win03('./preview.php?id=<!--{$list_data[data].template_id}-->','preview','650','700'); return false;" target="_blank"><!--{/if}-->プレビュー</a></td>
+        </tr>
+        <!--{/section}-->
+    </table>
 
-  <div class="btn addnew">
-    <a class="btn-normal" href="./template_input.php"><span>テンプレートを新規入力</span></a>
-  </div>
+    <div class="btn addnew">
+        <a class="btn-normal" href="./template_input.php"><span>テンプレートを新規入力</span></a>
+    </div>
 </div>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/total/index.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/total/index.tpl	(revision 19785)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/total/index.tpl	(revision 19835)
@@ -112,5 +112,5 @@
     <div id="graph-image">
       <!--{* <img src="<!--{$tpl_image}-->?<!--{$cashtime}-->" alt="グラフ"> *}-->
-      <img src="<!--{$smarty.server.PHP_SELF|h}-->?draw_image=true&amp;type=<!--{$smarty.post.type}-->&amp;mode=search&amp;page=<!--{$smarty.post.page}-->&search_startyear_m=<!--{$smarty.post.search_startyear_m}-->&search_startmonth_m=<!--{$smarty.post.search_startmonth_m}-->&search_startyear=<!--{$smarty.post.search_startyear}-->&search_startmonth=<!--{$smarty.post.search_startmonth}-->&search_startday=<!--{$smarty.post.search_startday}-->&search_endyear=<!--{$smarty.post.search_endyear}-->&search_endmonth=<!--{$smarty.post.search_endmonth}-->&search_endday=<!--{$smarty.post.search_endday}-->" alt="グラフ" />
+      <img src="?draw_image=true&amp;type=<!--{$smarty.post.type}-->&amp;mode=search&amp;page=<!--{$smarty.post.page}-->&search_startyear_m=<!--{$smarty.post.search_startyear_m}-->&search_startmonth_m=<!--{$smarty.post.search_startmonth_m}-->&search_startyear=<!--{$smarty.post.search_startyear}-->&search_startmonth=<!--{$smarty.post.search_startmonth}-->&search_startday=<!--{$smarty.post.search_startday}-->&search_endyear=<!--{$smarty.post.search_endyear}-->&search_endmonth=<!--{$smarty.post.search_endmonth}-->&search_endday=<!--{$smarty.post.search_endday}-->" alt="グラフ" />
     </div>
     <!--{/if}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/pager.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/pager.tpl	(revision 19785)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/pager.tpl	(revision 19835)
@@ -3,5 +3,5 @@
   <ul>
   <!--{foreach from=$arrPagenavi.arrPageno key="key" item="item"}-->
-    <li<!--{if $arrPagenavi.now_page == $item}--> class="on"<!--{/if}-->><a href=<!--{$smarty.server.PHP_SELF|h}--> onclick="fnNaviSearchPage(<!--{$item}-->, '<!--{$arrPagenavi.mode}-->'); return false;"><span><!--{$item}--></span></a></li>
+    <li<!--{if $arrPagenavi.now_page == $item}--> class="on"<!--{/if}-->><a href="#" onclick="fnNaviSearchPage(<!--{$item}-->, '<!--{$arrPagenavi.mode}-->'); return false;"><span><!--{$item}--></span></a></li>
   <!--{/foreach}-->
   </ul>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/contents/csv_sql.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/contents/csv_sql.tpl	(revision 19785)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/contents/csv_sql.tpl	(revision 19835)
@@ -62,5 +62,5 @@
     <tr style="background-color:<!--{if $item.sql_id == $sql_id}--><!--{$smarty.const.SELECT_RGB}--><!--{else}-->#ffffff<!--{/if}-->;">
       <td>
-        <a href="<!--{$smarty.server.PHP_SELF|h}-->?sql_id=<!--{$item.sql_id}-->" ><!--{$item.sql_name}--></a>
+        <a href="?sql_id=<!--{$item.sql_id}-->" ><!--{$item.sql_name}--></a>
       </td>
       <td>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/bloc.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/bloc.tpl	(revision 19785)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/bloc.tpl	(revision 19835)
@@ -69,5 +69,5 @@
     <h2>編集可能ブロック</h2>
     <div class="btn addnew">
-        <a class='button' href="<!--{$smarty.server.PHP_SELF|h}-->"><span>ブロックを新規入力</span></a>
+        <a class='button' href="?"><span>ブロックを新規入力</span></a>
     </div>
     <table class="list center">
@@ -79,5 +79,5 @@
             <td><!--{$item.bloc_name}--></td>
             <td>
-                <a href="<!--{$smarty.server.PHP_SELF|h}-->?bloc_id=<!--{$item.bloc_id}-->&amp;device_type_id=<!--{$device_type_id}-->" >編集</a>
+                <a href="?bloc_id=<!--{$item.bloc_id}-->&amp;device_type_id=<!--{$device_type_id}-->" >編集</a>
             </td>
             <td>
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/css.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/css.tpl	(revision 19785)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/css.tpl	(revision 19835)
@@ -57,5 +57,5 @@
   <h2>編集可能CSSファイル</h2>
   <div class="btn addnew">
-    <a class="btn-normal" href="<!--{$smarty.server.PHP_SELF|h}-->"><span>CSSを新規入力</span></a>
+    <a class="btn-normal" href="?"><span>CSSを新規入力</span></a>
   </div>
   <table class="list center" id="design-css-list">
@@ -70,5 +70,5 @@
 			<td><!--{$item.file_name}--></td>
       <td style="background:<!--{if $item.css_name == $css_name}--><!--{$smarty.const.SELECT_RGB}--><!--{else}-->#ffffff<!--{/if}-->;">
-        <a href="<!--{$smarty.server.PHP_SELF|h}-->?css_name=<!--{$item.css_name}-->&amp;device_type_id=<!--{$device_type_id}-->">編集</a>
+        <a href="?css_name=<!--{$item.css_name}-->&amp;device_type_id=<!--{$device_type_id}-->">編集</a>
       </td>
       <td style="background:<!--{if $item.css_name == $css_name}--><!--{$smarty.const.SELECT_RGB}--><!--{else}-->#ffffff<!--{/if}-->;">
Index: /branches/version-2_5-dev/data/Smarty/templates/admin/design/main_edit.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/admin/design/main_edit.tpl	(revision 19831)
+++ /branches/version-2_5-dev/data/Smarty/templates/admin/design/main_edit.tpl	(revision 19835)
@@ -137,5 +137,5 @@
     </table>
     <div class="btn addnew">
-        <a class="btn-normal" href="<!--{$smarty.server.PHP_SELF|h}-->"><span>ページを新規入力</span></a>
+        <a class="btn-normal" href="?"><span>ページを新規入力</span></a>
     </div>
 
Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/history.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/history.tpl	(revision 19835)
@@ -181,5 +181,5 @@
                 <!--{assign var=key value="`$arrMailHistory[cnt].template_id`"}-->
                 <td><!--{$arrMAILTEMPLATE[$key]|h}--></td>
-                <td><a href="<!--{$smarty.server.PHP_SELF|h}-->" onclick="win02('./mail_view.php?send_id=<!--{$arrMailHistory[cnt].send_id}-->','mail_view','650','800'); return false;"><!--{$arrMailHistory[cnt].subject|h}--></a></td>
+                <td><a href="#" onclick="win02('./mail_view.php?send_id=<!--{$arrMailHistory[cnt].send_id}-->','mail_view','650','800'); return false;"><!--{$arrMailHistory[cnt].subject|h}--></a></td>
             </tr>
             <!--{/section}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/delivery.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 19802)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/mypage/delivery.tpl	(revision 19835)
@@ -64,5 +64,5 @@
                         </td>
                         <td class="centertd">
-                            <a href="<!--{$smarty.server.PHP_SELF}-->" onclick="fnModeSubmit('delete','other_deliv_id','<!--{$arrOtherDeliv[cnt].other_deliv_id}-->'); return false;">削除</a>
+                            <a href="#" onclick="fnModeSubmit('delete','other_deliv_id','<!--{$arrOtherDeliv[cnt].other_deliv_id}-->'); return false;">削除</a>
                         </td>
                     </tr>
Index: /branches/version-2_5-dev/data/Smarty/templates/sphone/products/review.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/sphone/products/review.tpl	(revision 19807)
+++ /branches/version-2_5-dev/data/Smarty/templates/sphone/products/review.tpl	(revision 19835)
@@ -29,5 +29,5 @@
       「<span class="attention">※</span>」印は入力必須項目です。<br />
        ご入力後、一番下の「確認ページへ」ボタンをクリックしてください。</p>
-        <form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+        <form name="form1" method="post" action="?">
         <input type="hidden" name="mode" value="confirm" />
         <input type="hidden" name="product_id" value="<!--{$arrForm.product_id}-->" />
Index: /branches/version-2_5-dev/data/Smarty/templates/default/products/review.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/products/review.tpl	(revision 19807)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/products/review.tpl	(revision 19835)
@@ -29,5 +29,5 @@
       「<span class="attention">※</span>」印は入力必須項目です。<br />
        ご入力後、一番下の「確認ページへ」ボタンをクリックしてください。</p>
-        <form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|h}-->">
+        <form name="form1" method="post" action="?">
         <input type="hidden" name="mode" value="confirm" />
         <input type="hidden" name="product_id" value="<!--{$arrForm.product_id}-->" />
Index: /branches/version-2_5-dev/data/Smarty/templates/default/mypage/history.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 19833)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/mypage/history.tpl	(revision 19835)
@@ -181,5 +181,5 @@
                 <!--{assign var=key value="`$arrMailHistory[cnt].template_id`"}-->
                 <td><!--{$arrMAILTEMPLATE[$key]|h}--></td>
-                <td><a href="<!--{$smarty.server.PHP_SELF|h}-->" onclick="win02('./mail_view.php?send_id=<!--{$arrMailHistory[cnt].send_id}-->','mail_view','650','800'); return false;"><!--{$arrMailHistory[cnt].subject|h}--></a></td>
+                <td><a href="#" onclick="win02('./mail_view.php?send_id=<!--{$arrMailHistory[cnt].send_id}-->','mail_view','650','800'); return false;"><!--{$arrMailHistory[cnt].subject|h}--></a></td>
             </tr>
             <!--{/section}-->
Index: /branches/version-2_5-dev/data/Smarty/templates/default/mypage/delivery.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/mypage/delivery.tpl	(revision 19802)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/mypage/delivery.tpl	(revision 19835)
@@ -64,5 +64,5 @@
                         </td>
                         <td class="centertd">
-                            <a href="<!--{$smarty.server.PHP_SELF}-->" onclick="fnModeSubmit('delete','other_deliv_id','<!--{$arrOtherDeliv[cnt].other_deliv_id}-->'); return false;">削除</a>
+                            <a href="#" onclick="fnModeSubmit('delete','other_deliv_id','<!--{$arrOtherDeliv[cnt].other_deliv_id}-->'); return false;">削除</a>
                         </td>
                     </tr>