Index: /branches/version-2_5-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19833)
+++ /branches/version-2_5-dev/html/install/sql/insert_data.sql	(revision 19836)
@@ -569,5 +569,5 @@
 INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (2, 26, '商品購入/ご注文完了', 'shopping/complete.php', NULL, NULL, 'shopping/complete', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 0, NULL, 'preview', NULL, NULL, 'preview', 1, 1, 1, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
-INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 1, 'TOPページ', 'mobile/index.php', NULL, NULL, 'index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
+INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 1, 'TOPページ', 'index.php', NULL, NULL, 'index', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 2, '商品一覧ページ', 'products/list.php', NULL, NULL, 'products/list', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
 INSERT INTO dtb_pagelayout (device_type_id, page_id, page_name, url, php_dir, tpl_dir, filename, header_chk, footer_chk, edit_flg, author, description, keyword, update_url, create_date, update_date) VALUES (1, 3, '商品詳細ページ', 'products/detail.php', NULL, NULL, 'products/detail', 1, 1, 2, NULL, NULL, NULL, NULL, CURRENT_TIMESTAMP, CURRENT_TIMESTAMP);
Index: anches/version-2_5-dev/html/mobile/redirect.php
===================================================================
--- /branches/version-2_5-dev/html/mobile/redirect.php	(revision 19805)
+++ 	(revision )
@@ -1,39 +1,0 @@
-<?php
-/**
- *
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- 
- *
- * モバイルサイト/メールからのリダイレクト
- */
-
-// {{{ requires
-require_once("./require.php");
-require_once(CLASS_EX_REALDIR . "page_extends/LC_Page_Redirect_Ex.php");
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Redirect_Ex();
-register_shutdown_function(array($objPage, "destroy"));
-$objPage->mobileInit();
-$objPage->mobileProcess();
-?>
Index: anches/version-2_5-dev/html/mobile/index.php
===================================================================
--- /branches/version-2_5-dev/html/mobile/index.php	(revision 19805)
+++ 	(revision )
@@ -1,39 +1,0 @@
-<?php
-/**
- *
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- 
- *
- * モバイルサイト/トップページ
- */
-
-// {{{ requires
-require_once("./require.php");
-require_once(CLASS_EX_REALDIR . "page_extends/LC_Page_Index_Ex.php");
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Index_Ex();
-register_shutdown_function(array($objPage, "destroy"));
-$objPage->mobileInit();
-$objPage->mobileProcess();
-?>
Index: anches/version-2_5-dev/html/mobile/require.php
===================================================================
--- /branches/version-2_5-dev/html/mobile/require.php	(revision 19805)
+++ 	(revision )
@@ -1,50 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// rtrim は PHP バージョン依存対策
-define("HTML_REALDIR", rtrim(realpath(rtrim(realpath(dirname(__FILE__)), '/\\') . '/../'), '/\\') . '/');
-
-require_once HTML_REALDIR . 'handle_error.php';
-require_once HTML_REALDIR . 'define.php';
-define('MOBILE_SITE', true);
-require_once HTML_REALDIR . HTML2DATA_DIR . 'require_base.php';
-
-// モバイルサイトを利用しない設定の場合、落とす。
-if (USE_MOBILE === false) {
-    // XXX PCサイトにリダイレクトする方がスマートか? 若しくはHTTPエラーとすべきか?
-    exit;
-}
-
-// モバイルサイト用の初期処理を実行する。
-if (!defined('SKIP_MOBILE_INIT')) {
-    $objMobile = new SC_Helper_Mobile_Ex();
-    $objMobile->sfMobileInit();
-}
-
-// Moba8対応 (Moba8パラメータ引き継ぎ)
-if (function_exists("sfGetMoba8Param") == TRUE) {
-    sfGetMoba8Param($_GET['a8']);
-}
-
-ob_start();
-?>
Index: /branches/version-2_5-dev/data/class/pages/LC_Page_Index.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/LC_Page_Index.php	(revision 19805)
+++ /branches/version-2_5-dev/data/class/pages/LC_Page_Index.php	(revision 19836)
@@ -76,23 +76,4 @@
 
     /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileProcess() {
-        $this->mobileAction();
-        $this->sendResponse();
-    }
-
-    /**
-     * Page のプロセス(モバイル).
-     *
-     * @return void
-     */
-    function mobileAction() {
-        $objCustomer = new SC_Customer();
-    }
-
-    /**
      * デストラクタ.
      *