Index: /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php
===================================================================
--- /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 19862)
+++ /branches/version-2_5-dev/data/class/helper/SC_Helper_Purchase.php	(revision 19868)
@@ -79,4 +79,5 @@
             }
         }
+
         $this->registerShipping($orderId, $shippingTemp);
         $objQuery->commit();
@@ -188,17 +189,34 @@
 
     /**
+     * 配送商品を設定する.
+     */
+    function setShipmentItemTemp($otherDelivId, $productClassId, $quantity) {
+        $_SESSION['shipping'][$otherDelivId]['shipment_item'][$productClassId]['shipping_id'] = $otherDelivId;
+        $_SESSION['shipping'][$otherDelivId]['shipment_item'][$productClassId]['product_class_id'] = $productClassId;
+        $_SESSION['shipping'][$otherDelivId]['shipment_item'][$productClassId]['quantity'] += $quantity;
+
+        $objProduct = new SC_Product();
+        if (empty($_SESSION['shipping'][$otherDelivId]['shipment_item'][$productClassId]['productsClass'])) {
+            $product = $objProduct->getDetailAndProductsClass($productClassId);
+            $_SESSION['shipping'][$otherDelivId]['shipment_item'][$productClassId]['productsClass'] = $product;
+        }
+        $incTax = SC_Helper_DB_Ex::sfCalcIncTax($_SESSION['shipping'][$otherDelivId]['shipment_item'][$productClassId]['productsClass']['price02']);
+        $_SESSION['shipping'][$otherDelivId]['shipment_item'][$productClassId]['total_inctax'] = $incTax * $_SESSION['shipping'][$otherDelivId]['shipment_item'][$productClassId]['quantity'];
+    }
+
+    /**
+     * 複数配送指定の購入かどうか.
+     *
+     * @return boolean 複数配送指定の購入の場合 true
+     */
+    function isMultiple() {
+        return (count($this->getShippingTemp()) > 1);
+    }
+
+    /**
      * 配送情報をセッションに保存する.
      */
-    function saveShippingTemp(&$src, $other_deliv_id = 0,
-                              $keys = array('name01', 'name02', 'kana01', 'kana02',
-                                            'sex', 'zip01', 'zip02', 'pref',
-                                            'addr01', 'addr02',
-                                            'tel01', 'tel02', 'tel03'),
-                              $prefix = 'shipping') {
-        $dest = array();
-        foreach ($keys as $key) {
-            $dest[$prefix . '_' . $key] = $src[$prefix . '_' . $key];
-        }
-        $_SESSION['shipping'][$other_deliv_id] = $src;
+    function saveShippingTemp(&$src, $otherDelivId = 0) {
+        $_SESSION['shipping'][$otherDelivId] = array_merge($_SESSION['shipping'][$otherDelivId], $src);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 19862)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Multiple.php	(revision 19868)
@@ -118,7 +118,5 @@
                         }
                         $sqlval[$other_deliv_id]['deliv_id'] = $objPurchase->getDeliv($this->cartKey);
-                        $sqlval[$other_deliv_id]['shipment_item'][$params['product_class_id' . $i]]['shipping_id'] = $other_deliv_id;
-                        $sqlval[$other_deliv_id]['shipment_item'][$params['product_class_id' . $i]]['quantity'] += $params['quantity' . $i];
-                        $sqlval[$other_deliv_id]['shipment_item'][$params['product_class_id' . $i]]['product_class_id'] = $params['product_class_id' . $i];
+                        $objPurchase->setShipmentItemTemp($other_deliv_id, $params['product_class_id' . $i], $params['quantity' . $i]);
                         $i++;
                     }
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19861)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Confirm.php	(revision 19868)
@@ -79,4 +79,6 @@
         $objPurchase = new SC_Helper_Purchase_Ex();
 
+        $this->isMultiple = $objPurchase->isMultiple();
+
         // 前のページで正しく登録手続きが行われた記録があるか判定
         SC_Utils_Ex::sfIsPrePage($objSiteSess);
@@ -128,4 +130,6 @@
         $this->payment_type = $payment_type;
 
+        $this->shipping = $objPurchase->getShippingTemp();
+
         if (!isset($_POST['mode'])) $_POST['mode'] = "";
 
@@ -143,6 +147,4 @@
 
             // 集計結果を受注一時テーブルに反映
-            unset($arrData[0]); // FIXME
-            unset($arrData[1]);
             $objPurchase->saveOrderTemp($uniqid, $arrData, $objCustomer);
             // 正常に登録されたことを記録しておく
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 19861)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 19868)
@@ -54,4 +54,6 @@
         $this->tpl_onload = "fnCheckInputPoint(); fnSetDelivTime('payment','payment_id','deliv_time_id');";
         $this->tpl_title = "お支払方法・お届け時間等の指定";
+        $masterData = new SC_DB_MasterData();
+        $this->arrPref = $masterData->getMasterData('mtb_pref');
     }
 
@@ -78,4 +80,7 @@
         $objPurchase = new SC_Helper_Purchase_Ex();
         $this->objCustomer = new SC_Customer();
+
+        $this->shipping =& $objPurchase->getShippingTemp();
+        $this->isMultiple = $objPurchase->isMultiple();
 
         // パラメータ管理クラス
@@ -366,8 +371,11 @@
         $this->objFormParam->addParam("お支払い方法", "payment_id", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
         $this->objFormParam->addParam("ポイント", "use_point", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK", "ZERO_START"));
-        $this->objFormParam->addParam("お届け時間", "deliv_time_id", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
         $this->objFormParam->addParam("ご質問", "message", LTEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
         $this->objFormParam->addParam("ポイントを使用する", "point_check", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), '2');
-        $this->objFormParam->addParam("お届け日", "deliv_date", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"));
+
+        for ($i = 0; $i < count($this->shipping); $i++) {
+            $this->objFormParam->addParam("お届け時間", "deliv_time_id" . $i, INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+            $this->objFormParam->addParam("お届け日", "deliv_date" . $i, STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"));
+        }
     }
 
Index: /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 19862)
+++ /branches/version-2_5-dev/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 19868)
@@ -219,4 +219,5 @@
 
         default:
+            //$objPurchase->unsetShippingTemp();
             $arrOrderTemp = $objPurchase->getOrderTemp($uniqid);
             if (empty($arrOrderTemp)) $arrOrderTemp = array("");
Index: /branches/version-2_5-dev/data/Smarty/templates/default/shopping/confirm.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 19851)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/shopping/confirm.tpl	(revision 19868)
@@ -160,67 +160,90 @@
             <!--お届け先ここから-->
             <!--{* 販売方法判定（ダウンロード販売のみの場合はお届け先を表示しない） *}-->
-            <!--{if $cartdown != "2"}-->
+            <!--{if $cartKey != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
+            <!--{foreach item=shippingItem from=$shipping name=shippingItem}-->
+            <h3>▼お届け先<!--{if $isMultiple}--><!--{$smarty.foreach.shippingItem.iteration}--><!--{/if}--></h3>
+           <!--{if $isMultiple}-->
+            <table summary="ご注文内容確認">
+              <tr>
+                <th>商品写真</th>
+                <th>商品名</th>
+                <th>単価</th>
+                <th>数量</th>
+                <!--{* XXX 購入小計と誤差が出るためコメントアウト
+                <th>小計</th>
+                *}-->
+              </tr>
+              <!--{foreach item=item from=$shippingItem.shipment_item}-->
+                  <tr>
+                      <td class="phototd">
+                        <a
+                            <!--{if $item.productsClass.main_image|strlen >= 1}-->
+                                href="<!--{$smarty.const.IMAGE_SAVE_URL}--><!--{$item.productsClass.main_image|sfNoImageMainList|h}-->"
+                                class="expansion"
+                                target="_blank"
+                            <!--{/if}-->
+                        >
+                            <img src="<!--{$smarty.const.URL_PATH}-->resize_image.php?image=<!--{$item.productsClass.main_list_image|sfNoImageMainList|h}-->&amp;width=65&amp;height=65" alt="<!--{$item.productsClass.name|h}-->" /></a>
+                      </td>
+                      <td><!--{* 商品名 *}--><strong><!--{$item.productsClass.name|h}--></strong><br />
+                          <!--{if $item.productsClass.classcategory_name1 != ""}-->
+                              <!--{$item.productsClass.class_name1}-->：<!--{$item.productsClass.classcategory_name1}--><br />
+                          <!--{/if}-->
+                          <!--{if $item.productsClass.classcategory_name2 != ""}-->
+                              <!--{$item.productsClass.class_name2}-->：<!--{$item.productsClass.classcategory_name2}-->
+                          <!--{/if}-->
+                      </td>
+                      <td class="pricetd">
+                          <!--{$item.productsClass.price02|sfCalcIncTax:$arrInfo.tax:$arrInfo.tax_rule|number_format}-->円
+                      </td>
+                      <td id="quantity"><!--{$item.quantity}--></td>
+                      <!--{* XXX 購入小計と誤差が出るためコメントアウト
+                      <td class="pricetd"><!--{$item.total_inctax|number_format}-->円</td>
+                      *}-->
+                  </tr>
+              <!--{/foreach}-->
+            </table>
+           <!--{/if}-->
+
             <table summary="お届け先確認" class="delivname">
-                <thead>
-                    <tr>
-                        <th colspan="2">▼お届け先</th>
-                    </tr>
-                </thead>
                 <tbody>
-                    <!--{* 別のお届け先が選択されている場合 *}-->
-                    <!--{if $arrData.deliv_check >= 1}-->
-                        <tr>
-                            <th>お名前</th>
-                            <td><!--{$arrData.deliv_name01|h}--> <!--{$arrData.deliv_name02|h}--></td>
-                        </tr>
-                        <tr>
-                            <th>お名前(フリガナ)</th>
-                            <td><!--{$arrData.deliv_kana01|h}--> <!--{$arrData.deliv_kana02|h}--></td>
-                        </tr>
-                        <tr>
-                            <th>郵便番号</th>
-                            <td>〒<!--{$arrData.deliv_zip01|h}-->-<!--{$arrData.deliv_zip02|h}--></td>
-                        </tr>
-                        <tr>
-                            <th>住所</th>
-                            <td><!--{$arrPref[$arrData.deliv_pref]}--><!--{$arrData.deliv_addr01|h}--><!--{$arrData.deliv_addr02|h}--></td>
-                        </tr>
-                        <tr>
-                            <th>電話番号</th>
-                            <td><!--{$arrData.deliv_tel01}-->-<!--{$arrData.deliv_tel02}-->-<!--{$arrData.deliv_tel03}--></td>
-                        </tr>
-                    <!--{else}-->
-                        <tr>
-                            <th>お名前</th>
-                            <td><!--{$arrData.order_name01|h}--> <!--{$arrData.order_name02|h}--></td>
-                        </tr>
-                        <tr>
-                            <th>お名前(フリガナ)</th>
-                            <td><!--{$arrData.order_kana01|h}--> <!--{$arrData.order_kana02|h}--></td>
-                        </tr>
-                        <tr>
-                            <th>郵便番号</th>
-                            <td>〒<!--{$arrData.order_zip01|h}-->-<!--{$arrData.order_zip02|h}--></td>
-                        </tr>
-                        <tr>
-                            <th>住所</th>
-                            <td><!--{$arrPref[$arrData.order_pref]}--><!--{$arrData.order_addr01|h}--><!--{$arrData.order_addr02|h}--></td>
-                        </tr>
-                        <tr>
-                            <th>電話番号</th>
-                            <td><!--{$arrData.order_tel01}-->-<!--{$arrData.order_tel02}-->-<!--{$arrData.order_tel03}--></td>
-                        </tr>
-                    <!--{/if}-->
+                    <tr>
+                        <th>お名前</th>
+                        <td><!--{$shippingItem.shipping_name01|h}--> <!--{$shippingItem.shipping_name02|h}--></td>
+                    </tr>
+                    <tr>
+                        <th>お名前(フリガナ)</th>
+                        <td><!--{$shippingItem.shipping_kana01|h}--> <!--{$shippingItem.shipping_kana02|h}--></td>
+                    </tr>
+                    <tr>
+                        <th>郵便番号</th>
+                        <td>〒<!--{$shippingItem.shipping_zip01|h}-->-<!--{$shippingItem.shipping_zip02|h}--></td>
+                    </tr>
+                    <tr>
+                        <th>住所</th>
+                        <td><!--{$arrPref[$shippingItem.shipping_pref]}--><!--{$shippingItem.shipping_addr01|h}--><!--{$shippingItem.shipping_addr02|h}--></td>
+                    </tr>
+                    <tr>
+                        <th>電話番号</th>
+                        <td><!--{$shippingItem.shipping_tel01}-->-<!--{$shippingItem.shipping_tel02}-->-<!--{$shippingItem.shipping_tel03}--></td>
+                    </tr>
+                <!--{if $cartKey != $smarty.const.PRODUCT_TYPE_DOWNLOAD}-->
+                    <tr>
+                        <th>お届け日</th>
+                        <td><!--{$shippingItem.deliv_date|default:"指定なし"|h}--></td>
+                    </tr>
+                    <tr>
+                       <th>お届け時間</th>
+                        <td><!--{$shippingItem.deliv_time|default:"指定なし"|h}--></td>
+                    </tr>
+                <!--{/if}-->
                 </tbody>
             </table>
+            <!--{/foreach}-->
             <!--{/if}-->
             <!--お届け先ここまで-->
 
+            <h3>▼お支払方法・その他お問い合わせ</h3>
             <table summary="お支払方法・お届け日時の指定・その他お問い合わせ" class="delivname">
-                <thead>
-                <tr>
-                    <th colspan="2">▼お支払方法・お届け日時の指定・その他お問い合わせ</th>
-                </tr>
-                </thead>
                 <tbody>
                 <tr>
@@ -229,14 +252,4 @@
                 </tr>
                 <!--{* 販売方法判定（ダウンロード販売のみの場合はお届け日、時間を表示しない） *}-->
-                <!--{if $cartdown != "2"}-->
-                <tr>
-                    <th>お届け日</th>
-                    <td><!--{$arrData.deliv_date|default:"指定なし"|h}--></td>
-                </tr>
-                <tr>
-                    <th>お届け時間</th>
-                    <td><!--{$arrData.deliv_time|default:"指定なし"|h}--></td>
-                </tr>
-                <!--{/if}-->
                 <tr>
                     <th>その他お問い合わせ</th>
Index: /branches/version-2_5-dev/data/Smarty/templates/default/shopping/payment.tpl
===================================================================
--- /branches/version-2_5-dev/data/Smarty/templates/default/shopping/payment.tpl	(revision 19860)
+++ /branches/version-2_5-dev/data/Smarty/templates/default/shopping/payment.tpl	(revision 19868)
@@ -67,7 +67,9 @@
                 <h3>お届け時間の指定</h3>
                 <p>ご希望の方は、お届け時間を選択してください。</p>
+                <!--{foreach item=shippingItem name=shippingItem from=$shipping}-->
+                <!--{assign var=index value=$smarty.foreach.shippingItem.index}-->
                 <div>
                     <!--★お届け日★-->
-                    <!--{assign var=key value="deliv_date"}-->
+                    <!--{assign var=key value="deliv_date`$index`"}-->
                     <span class="attention"><!--{$arrErr[$key]}--></span>
                     <em>お届け日：</em>
@@ -81,5 +83,5 @@
                     <!--{/if}-->
                     <!--★お届け時間★-->
-                    <!--{assign var=key value="deliv_time_id"}-->
+                    <!--{assign var=key value="deliv_time_id`$index`"}-->
                     <span class="attention"><!--{$arrErr[$key]}--></span>
                     <em>お届け時間：</em>
@@ -88,5 +90,10 @@
                         <!--{html_options options=$arrDelivTime selected=$arrForm[$key].value}-->
                     </select>
+                    <!--{if $isMultiple}-->
+                        &nbsp;<!--{$shippingItem.shipping_name01}--><!--{$shippingItem.shipping_name02}-->
+                        &nbsp;<!--{$arrPref[$shippingItem.shipping_pref]}--><!--{$shippingItem.shipping_addr01}--><!--{$shippingItem.shipping_addr02}-->
+                    <!--{/if}-->
                  </div>
+                 <!--{/foreach}-->
             </div>
             <!--{/if}-->